#ifndef PWM_H_
#define PWM_H_

/**** Includes ****/
#include <stdint.h>

namespace board {

/**** Public definitions ****/
class PWMout
{
	protected:
	uint8_t pwm_ch;
	uint8_t last_duty;
	
	public:
	PWMout(uint8_t pwm_ch);
	~PWMout(void);
	
	void write(uint8_t duty);
	uint8_t get_set_duty(void);
};

/**** Public function declarations ****/

#ifdef TESTING
#endif

} //namespace

#endif /* PWM_H_ */